from .api import FlickrApi
from .exceptions import (
    FlickrApiException,
    InvalidApiKey,
    InvalidXmlException,
    ResourceNotFound,
    LicenseNotFound,
    UnrecognisedFlickrApiException,
    UserDeleted,
)
from .types import (
    Comment,
    License,
    User,
    UserInfo,
    TakenGranularity,
    DateTaken,
    LocationInfo,
    Size,
    SafetyLevel,
    SinglePhoto,
    CollectionOfPhotos,
    PhotosFromUrl,
    PhotosInAlbum,
    PhotosInGallery,
    PhotosInGroup,
    AlbumInfo,
    GalleryInfo,
    GroupInfo,
    SinglePhotoInfo,
    SinglePhotoInfoWithSizes,
)


__version__ = "2.1.1"


__all__ = [
    "FlickrApi",
    "FlickrApiException",
    "ResourceNotFound",
    "InvalidApiKey",
    "InvalidXmlException",
    "LicenseNotFound",
    "License",
    "LocationInfo",
    "User",
    "UserInfo",
    "TakenGranularity",
    "Comment",
    "DateTaken",
    "Size",
    "SafetyLevel",
    "SinglePhoto",
    "SinglePhotoInfo",
    "SinglePhotoInfoWithSizes",
    "CollectionOfPhotos",
    "PhotosFromUrl",
    "PhotosInAlbum",
    "PhotosInGallery",
    "PhotosInGroup",
    "AlbumInfo",
    "GalleryInfo",
    "GroupInfo",
    "UnrecognisedFlickrApiException",
    "UserDeleted",
    "__version__",
]
